Bug 473721 - selinux raises an alert when nautilus attempts to load /usr/lib/sse2/libpostproc.so.51.2.0 - for totem
selinux raises an alert when nautilus attempts to load /usr/lib/sse2/libpostp...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 22:57 EST by ca.indie
Modified: 2009-02-04 06:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 06:15:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ca.indie 2008-11-29 22:57:30 EST
Description of problem:
I've attached the complete selinux alert message which gives detailed information about the alert context and suggested fix.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 ca.indie 2008-11-29 23:00:19 EST
sellinux attachmet failed to load with bug report, cut and paste follows below:


Summary:

SELinux is preventing nautilus from loading /usr/lib/sse2/libpostproc.so.51.2.0
which requires text relocation.

Detailed Description:

The nautilus application attempted to load /usr/lib/sse2/libpostproc.so.51.2.0
which requires text relocation. This is a potential security problem. Most
libraries do not need this permission. Libraries are sometimes coded incorrectly
and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/sse2/libpostproc.so.51.2.0 to use relocation as a workaround, until the
library is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/sse2/libpostproc.so.51.2.0 to run correctly, you can
change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/sse2/libpostproc.so.51.2.0'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t '/usr/lib/sse2/libpostproc.so.51.2.0'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/sse2/libpostproc.so.51.2.0'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/sse2/libpostproc.so.51.2.0 [ file ]
Source                        totem
Source Path                   /usr/bin/totem
Port                          <Unknown>
Host                          venice.gwirynybyd.com
Source RPM Packages           nautilus-2.24.1-3.fc10
Target RPM Packages           ffmpeg-libs-0.4.9-0.52.20080908.fc10
Policy RPM                    selinux-policy-3.5.13-18.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     venice.gwirynybyd.com
Platform                      Linux venice.gwirynybyd.com 2.6.27.5-117.fc10.i686
                              #1 SMP Tue Nov 18 12:19:59 EST 2008 i686 i686
Alert Count                   3
First Seen                    Sat 29 Nov 2008 07:41:33 PM PST
Last Seen                     Sat 29 Nov 2008 07:44:16 PM PST
Local ID                      a5dce2a0-e80e-4804-b8db-f275495b180f
Line Numbers                  

Raw Audit Messages            

node=venice.gwirynybyd.com type=AVC msg=audit(1228016656.317:48): avc:  denied  { execmod } for  pid=21039 comm="nautilus" path="/usr/lib/sse2/libpostproc.so.51.2.0" dev=sda7 ino=991268 scontext=unconfined_u:unconfined_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=venice.gwirynybyd.com type=SYSCALL msg=audit(1228016656.317:48): arch=40000003 syscall=125 success=no exit=-13 a0=6884000 a1=9000 a2=5 a3=bfec5b00 items=0 ppid=2675 pid=21039 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="nautilus" exe="/usr/bin/nautilus" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)
Comment 2 Bastien Nocera 2009-02-04 06:15:58 EST
This is due to a 3rd-party GStreamer plugin not Totem, or nautilus.

Note You need to log in before you can comment on or make changes to this bug.